function [z,x,y] = ellipse(a,b,q,c) 
// ellipse.sci
// 3D plot of a mode with elliptical boundary conditions
//[x,y,z]=ellipse(nrad, nang,q,semifocal);
mode(0);									// Display mode
ieee(1);									// Display warning for floating point exception	
v=0:0.05:2*%pi+0.05;
u0=0:0.01:3.5;
f0=mathieu("Ce",a,u0,q)>0;
f0=bool2s(f0);
sol=u0(find(diff(f0)~=0));
u=0:0.01:sol(a);
ellitticita=(1-tanh(sol(a)))/(1+tanh(sol(a)))
f=mathieu("Ce",a,u,q);
g=mathieu("ce",b,v,q);
[x,y]=ell2cart(u,v,c);
z = (10*f)*g';
xset("colormap",jetcolormap(32));			//set the colormap
surf(x,y,z,"facecol","interp");				//(arbitrary scaling for z)
e=gce();
e.color_mode=-1;							//set the color mode, vanish the mesh
set(gca(),"isoview","on");					//set the axises x and y equal
set(gca(),"grid",[1,1]);
set(gca(),"rotation_angles",[10,-125]);
e.color_flag=3;								//interpolate the facet, to make the surface prettier
endfunction
