function [y] = mathieuS(z,a,q,ndet)
// y=mathieuS(z,a,q,ndet)
//This program evaluates the  solution of first kind of  Mathieu Equation 
// y''(t)+(a-2q cos(2t)) y(t)=0;
// where a and q  are given real variables.

// Matlab program by R.Coisson and G.Vernizzi, 
// Parma University, 1999.

mode(0);						// Display mode
ieee(1);						// Display warning for floating point exception

[nu,c] = mathieuexp(a,q,ndet);
y=c'*exp(%i.*(nu+[-ndet:ndet]')*z);
endfunction
